Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.transform.powerassert
Class ValueRecorder

    java.lang.Object
      org.codehaus.groovy.transform.powerassert.ValueRecorder

    public class ValueRecorder
    extends Object

Records values produced during evaluation of an assertion statement's truth expression.

Author:
  Peter Niederwieser

Field Summary
Modifier and Type | Field and Description
--- | ---
`static String` | `CLEAR_METHOD_NAME`
`static String` | `RECORD_METHOD_NAME`

Constructor Summary
Constructor and Description
`ValueRecorder()`

Method Summary
Modifier and Type | Method and Description
--- | ---
`void` | `clear()`
`List<Value>` | `getValues()`
`Object` | `record(Object value, int anchor)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RECORD_METHOD_NAME

    public static final String RECORD_METHOD_NAME

  See Also:
    Constant Field Values

### CLEAR_METHOD_NAME

    public static final String CLEAR_METHOD_NAME

  See Also:
    Constant Field Values

Constructor Detail

### ValueRecorder

    public ValueRecorder()

Method Detail

### clear

    public void clear()

### record

    public Object record(Object value,
                         int anchor)

### getValues

    public List<Value> getValues()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2010 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD